Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eltima.chart
Class AnimationModel

    java.lang.Object
      com.eltima.chart.AnimationModel

All Implemented Interfaces:
  java.io.Serializable

public class AnimationModel
extends java.lang.Object
implements java.io.Serializable

The AnimationModel class.

Copyright: Copyright (c) 2000-2005

Company: Eltima Software

Version:
  4.0
Author:
  [SoftInfinity Dpt.]
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `KEY_AXIS_H`
`static java.lang.String` | `KEY_AXIS_V`
`static java.lang.String` | `KEY_FOOTER`
`static java.lang.String` | `KEY_GRID`
`static java.lang.String` | `KEY_HEADER`
`static java.lang.String` | `KEY_LABELS`
`static java.lang.String` | `KEY_LEGEND`
`static java.lang.String` | `KEY_PLOT`
`static java.lang.String` | `KEY_SERIES`

Constructor Summary
`AnimationModel()` Creates new instance of AnimationModel.

Method Summary
`int` | `getFinishSteps()` Returns the number of finish steps.
`AnimationProperty` | `getProperty(java.lang.String key)` Returns AnimationProperty for specified key.
`int` | `getSleepStep()` Returns the sleep step.
`int` | `getSleepTime()` Returns the sleep time.
`int` | `getStepTime()` Returns the step time.
`boolean` | `isLooping()` Return true if looping.
`void` | `setFinishSteps(int finishSteps)` Sets the number of finish steps.
`void` | `setLooping(boolean looping)` Sets the looping.
`void` | `setSleepTime(int sleepTime)` Sets the sleep time.
`void` | `setStepTime(int stepTime)` Sets the step time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_HEADER

    public static final java.lang.String KEY_HEADER

See Also:
  Constant Field Values

### KEY_FOOTER

    public static final java.lang.String KEY_FOOTER

See Also:
  Constant Field Values

### KEY_PLOT

    public static final java.lang.String KEY_PLOT

See Also:
  Constant Field Values

### KEY_GRID

    public static final java.lang.String KEY_GRID

See Also:
  Constant Field Values

### KEY_AXIS_V

    public static final java.lang.String KEY_AXIS_V

See Also:
  Constant Field Values

### KEY_AXIS_H

    public static final java.lang.String KEY_AXIS_H

See Also:
  Constant Field Values

### KEY_SERIES

    public static final java.lang.String KEY_SERIES

See Also:
  Constant Field Values

### KEY_LABELS

    public static final java.lang.String KEY_LABELS

See Also:
  Constant Field Values

### KEY_LEGEND

    public static final java.lang.String KEY_LEGEND

See Also:
  Constant Field Values

Constructor Detail

### AnimationModel

    public AnimationModel()

  Creates new instance of AnimationModel.

Method Detail

### getProperty

    public AnimationProperty getProperty(java.lang.String key)

  Returns AnimationProperty for specified key.

  Parameters:
    `key` - String
  Returns:
    AnimationProperty

### getSleepStep

    public int getSleepStep()

  Returns the sleep step.

  Returns:
    int

### getSleepTime

    public int getSleepTime()

  Returns the sleep time.

  Returns:
    int

### getStepTime

    public int getStepTime()

  Returns the step time.

  Returns:
    int

### setSleepTime

    public void setSleepTime(int sleepTime)

  Sets the sleep time.

  Parameters:
    `sleepTime` - int

### setStepTime

    public void setStepTime(int stepTime)

  Sets the step time.

  Parameters:
    `stepTime` - int

### getFinishSteps

    public int getFinishSteps()

  Returns the number of finish steps.

  Returns:
    int

### setFinishSteps

    public void setFinishSteps(int finishSteps)

  Sets the number of finish steps.

  Parameters:
    `finishSteps` - int

### isLooping

    public boolean isLooping()

  Return true if looping.

  Returns:
    boolean

### setLooping

    public void setLooping(boolean looping)

  Sets the looping.

  Parameters:
    `looping` - boolean

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD